%global forgeurl        https://github.com/golang/image
%global goipath         golang.org/x/image
%global commit          3fc05d484e9f77dd51816890e05f2602e4ca4d65

%gometa

Name:           golang-github-golang-image
Version:        0
Release:        0.7%{?dist}
Summary:        Go supplementary image libraries
License:        BSD
URL:            %{gourl}
Source0:        %{gosource}

%description
%{summary}


%package -n %{goname}-devel
Summary:       %{summary}

BuildRequires: golang(golang.org/x/text/encoding/charmap)

# This is the old name:
Provides: golang-golangorg-image-devel = %{version}-%{release}
Obsoletes: golang-golangorg-image-devel < 0-0.6

# This subpackage was broken. The files did not allow importing from this path.
Obsoletes: golang-github-golang-image-devel < 0-0.6
Obsoletes: golang-github-golang-image-unit-test-devel < 0-0.6

%description -n %{goname}-devel
%{summary}

This package contains library source intended for building other packages
which use import path with %{goipath} prefix.


%prep
%forgeautosetup


%install
%goinstall


%check
%gochecks


%files -n %{goname}-devel -f devel.file-list
%doc README.md AUTHORS CONTRIBUTORS PATENTS CONTRIBUTING.md
%license LICENSE


%changelog
* Wed Apr 10 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0-0.7.20190410git3fc05d4
- Update to latest commit

* Wed Apr 10 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0-0.6.20170821git426cfd8
- Re-create using new Go macro templates

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.5.20170514.git426cfd8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.4.20170514.git426cfd8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.3.20170514.git426cfd8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Tue Aug 15 2017 Athos Ribeiro <athoscr@fedoraproject.org> - 0-0.2.20170514.git426cfd8
- Do not run vector tests in ppcle and s390x due to precision issues

* Mon Aug 07 2017 Athos Ribeiro <athoscr@fedoraproject.org> - 0-0.1.20170514.git426cfd8
- First package for Fedora
